Bug 90340 - Kernel panics with ISDN channel bonding
Kernel panics with ISDN channel bonding
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
i586 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-07 03:39 EDT by Mikko Rapeli
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikko Rapeli 2003-05-07 03:39:32 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.3) Gecko/20030312

Description of problem:
I use a RedHat 8.0 host as an ISDN Internet gateway. Previously I was using
RedHat 7.1 with some upgrades to 7.3 and vanilla kernel 2.4.20-pre10 without any
problems for 180 days of uptime (RedHat kernels had bugs in the ISDN subsystem
and they Ooops'ed all the time). 

I thought, that most of the ISDN bugs fixed in 2.4.20 were back ported to
kernel-2.4.18-27.8.0, but some of them seem to be missing. After 30 days of
uptime I saw that pings over the double channel ISDN connection were getting
high, when the ISDN connection had been up for a few days, but after `isdnctrl
hangup ippp1 && isdnctrl hangup ippp0 && isdnctrl dial ippp0 && isdnctrl dial
ippp1` the pings were low again. 

This ping problem may be in my ISDN network terminator or at my ISP, but the
kernel ISDN problem showed up when I was doing `isdnctrl hangup ippp1` since the
kernel Ooops'ed. And it should not ;) I did not get the Ooops details this time,
but perhaps the next one... unless I go to vanilla 2.4.20 or 2.4.21.

Version-Release number of selected component (if applicable):
kernel-2.4.18-27.8.0

How reproducible:
Couldn't Reproduce

Steps to Reproduce:
1. Use ISDN with two 64kbit B-channels as one ippp0 interface
2. hangup and dial them
    

Actual Results:  Usually the ping drops, but once the kernel paniced.

Expected Results:  Don't panic.

Additional info:

Modules:
$ /sbin/lsmod
Module                  Size  Used by    Not tainted
hisax                 451332   3
isdn                  123168   3 [hisax]
slhc                    6340   2 [isdn]
8139too                16104   1
mii                     1932   0 [8139too]
ipv6                  147188  -1
ipchains               37480  80
ext3                   61408   2
jbd                    46932   2 [ext3]

Devices:
$ /sbin/lspci
00:00.0 Host bridge: Intel Corp. 430VX - 82437VX TVX [Triton VX] (rev 02)
00:07.0 ISA bridge: Intel Corp. 82371SB PIIX3 ISA [Natoma/Triton II] (rev 01)
00:07.1 IDE interface: Intel Corp. 82371SB PIIX3 IDE [Natoma/Triton II]
00:08.0 VGA compatible controller: Unknown device 5233:8a01 (rev 01)
00:09.0 Ethernet controller: Realtek Semiconductor Co., Ltd.
RTL-8139/8139C/8139C+ (rev 10)
00:0b.0 Network controller: Winbond Electronics Corp: Unknown device 6692 (rev ff)

Last /var/log/messages before Oops (ISDN sees different time than other
subsystems, perhaps kernel clock != bios clock after Oops):
May  6 22:47:50 nalle kernel: isdn_net: local hangup ippp1
May  6 22:47:50 nalle kernel: ippp1: Chargesum is 0
May  6 22:47:50 nalle ipppd[1293]: Modem hangup
May  6 22:47:50 nalle ipppd[1293]: Connection terminated.
May  6 22:47:50 nalle ipppd[1293]: taking down PHASE_DEAD link 1, linkunit: 1
May  6 22:43:29 nalle syslogd 1.4.1: restart.
May  6 22:43:29 nalle touko   6 22:43:29 syslog: syslogd startup succeeded
May  6 22:43:30 nalle touko   6 22:43:29 syslog: klogd startup succeeded
May  6 22:43:29 nalle kernel: klogd 1.4.1, log source = /proc/kmsg started.
May  6 22:43:29 nalle kernel: Linux version 2.4.18-27.8.0 (bhcompile@sylvester.d
evel.redhat.com) (gcc version 3.2 20020903 (Red Hat Linux 8.0 3.2-7)) #1 Fri Mar
 14 08:42:52 EST 2003
Comment 1 Bugzilla owner 2004-09-30 11:40:53 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.